Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ibniz: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Sun, 22 Feb 2015 06:23:12 +0000

A virtual machine designed for extremely compact low-level audiovisual programs
http://pelulamu.net/ibniz/
---
 testing/ibniz/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/ibniz/APKBUILD
diff --git a/testing/ibniz/APKBUILD b/testing/ibniz/APKBUILD
new file mode 100644
index 0000000..a1ef5ff
--- /dev/null
+++ b/testing/ibniz/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=ibniz
+pkgver=1.18
+pkgrel=0
+pkgdesc="A virtual machine designed for extremely compact low-level audiovisual programs"
+url="http://pelulamu.net/ibniz/"
+arch="all"
+license="zlib"
+depends=""
+depends_dev="sdl-dev"
+makedepends="$depends_dev"
+install=""
+source="${url}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make
+
+}
+
+package() {
+	cd "$_builddir"
+	install -D -m755 ibniz "$pkgdir/usr/bin/ibniz"
+	install -D -m644 licence.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+}
+
+md5sums="81ee96b253111cfe2abdc7a843757287  ibniz-1.18.tar.gz"
+sha256sums="e2f292641a67abd477fac8f2c455fa1579ba854c1f15152a41fef48fd46c6481  ibniz-1.18.tar.gz"
+sha512sums="63448e3eb639a831b847cc3a737040a661ff4107e53ff70b9c33ba951c584ca903729547efd27afff9ac0b9e25a315a1d36670a4f4722c3d2287f375cb1bd760  ibniz-1.18.tar.gz"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 22 2015 - 06:23:12 GMT